﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectTourismCompany.Entities;

public class CompanyTrip
{
    public int Id { get; private set; }
    public int CompanyId { get; private set; }
    public string CompanyName { get; private set; } = string.Empty;
    public int TripId { get; private set; }
    public int AdditionalPrice { get; private set; }
    public static CompanyTrip CreateCompanyTrip(int id, int companyId ,int tripId, int additionalPrice)//
    {
        return new CompanyTrip()
        {
            Id = id,
            CompanyId = companyId,
            TripId = tripId,
            AdditionalPrice = additionalPrice
        };
    }

}
