﻿using ProjectTourismCompany.Entities.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectTourismCompany.Entities;

public  class TempCompanyTrip
{
    public int Id { get; private set; }
    public string Title { get; private set; } = string.Empty;
    public int Price { get; private set; }
    public int HumanCapacity { get; private set; }
    public DateTime StartDate { get; private set; }
    public DateTime EndDate { get; private set; }
    public string StartCity { get; private set; } = string.Empty;
    public string EndCity { get; private set; } = string.Empty;
    public TravelType TravelType { get; private set; }

    public int TripId { get; private set; }
    public int CompanyId { get; private set; }
    public int AdditionalPrice { get; private set; }
}
