﻿using ProjectTourismCompany.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectTourismCompany.Repositories;

public interface ICountryRepository
{
    IEnumerable<Country> ReadCountries();
    Country ReadCountryById(int id);
    void CreateCountry(Country country);
    void UpdateCountry(Country country);
    void DeleteCountry(int id);
}