﻿using ProjectTourismCompany.Entities;
using ProjectTourismCompany.Entities.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectTourismCompany.Repositories;

public interface ITripRepository
{
    IEnumerable<Trip> ReadTrips(DateTime? dateForm = null,
DateTime? dateTo = null, int? tripId = null,
int? companyId = null);

    Trip ReadTripById(int id);

    void CreateTrip(Trip trip);
}

