﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectTourismCompany.Entities;

public class Check
{
    public int Id { get; private set; }


    [DisplayName("Дата сделки")]
    public DateTime PurchaseDate {  get; private set; }


    [DisplayName("Цена")]
    public int Price { get; private set; }



    public int TripId { get; private set; }
    [DisplayName("Название тура")]
    public string TripName { get; private set; } = string.Empty;


    public int ClientId {  get; private set; }
    [DisplayName("Имя клиента")]
    public string ClientName { get; private set; } = string.Empty;

    public static Check CreateCheck(int id, DateTime purchaseDate, int price,  int tripId, int clientId)//string triptitle, 
    {
        return new Check() { Id = id,  PurchaseDate = purchaseDate, Price = price, TripId = tripId, ClientId = clientId };//TripTitle = triptitle,
    }       
}
