﻿using ProjectTourismCompany.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectTourismCompany.Repositories;

public interface ICheckRepository
{
    IEnumerable<Check> ReadChecks(DateTime? dateFrom = null, DateTime? dateTo = null, int? tripId = null, int? clientId = null);
    Check ReadCheckById(int id);
    void CreateCheck(Check check);
    void DeleteCheck(int id);
}
