﻿using ProjectTourismCompany.Entities;
using ProjectTourismCompany.Entities.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectTourismCompany.Repositories;

public interface ICompanyRepository
{
    IEnumerable<Company> ReadCompanies();
    Company ReadCompanyById(int id);
    void CreateCompany(Company company);
    void UpdateCompany(Company company);
    void DeleteCompany(int id);
}
